package main
import (
	"fmt"
	"image"
	"os"
	_ "image/jpeg"
)
func main() {
	file, err := os.Open("/images/test.jpg")
	if err != nil {
		fmt.Println("ファイルが開けませんでした。")
		os.Exit(1)
	}
	defer file.Close()
	m, _, err := image.Decode(file)
	if err != nil {
		fmt.Println("画像を解析できませんでした。")
		os.Exit(1)
	}
	bounds := m.Bounds()	// 画像のサイズに関する情報を取得
	imageWidth := bounds.Max.X - bounds.Min.X	// 横幅を求める
	imageHeight := bounds.Max.Y - bounds.Min.Y	// 縦幅を求める
	fmt.Printf("横幅 = %d\n縦幅 = %d\n", imageWidth, imageHeight)
}
